org.apache.ignite.internal.processors.cache.mvcc.txlog

## Class TxLog

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.mvcc.txlog.TxLog

All Implemented Interfaces:
  CheckpointListener

    public class TxLog
    extends Object
    implements CheckpointListener

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.processors.cache.persistence.checkpoint.CheckpointListener

`CheckpointListener.Context`

### Field Summary

Fields
`static int` `TX_LOG_CACHE_ID`
`static String` `TX_LOG_CACHE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`TxLog(GridKernalContext ctx, IgniteCacheDatabaseSharedManager mgr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `beforeCheckpointBegin(CheckpointListener.Context ctx)` Do some actions before checkpoint write lock.
`byte` `get(long major, long minor)`
`byte` `get(TxKey key)`
`void` `onCheckpointBegin(CheckpointListener.Context ctx)`
`void` `onMarkCheckpointBegin(CheckpointListener.Context ctx)`
`void` `put(TxKey key, byte state, boolean primary)`
`void` `removeUntil(long major, long minor)` Removes all records less or equals to the given version.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.checkpoint.CheckpointListener

`afterCheckpointEnd`

### Field Detail

#### TX_LOG_CACHE_NAME

    public static final String TX_LOG_CACHE_NAME

See Also:
  Constant Field Values

#### TX_LOG_CACHE_ID

    public static final int TX_LOG_CACHE_ID

### Constructor Detail

#### TxLog

    public TxLog(GridKernalContext ctx,
                 IgniteCacheDatabaseSharedManager mgr)
          throws IgniteCheckedException

Parameters:
  `ctx` - Kernal context.
  `mgr` - Database shared manager.
Throws:
  `IgniteCheckedException`

### Method Detail

#### onMarkCheckpointBegin

    public void onMarkCheckpointBegin(CheckpointListener.Context ctx)
                               throws IgniteCheckedException

Specified by:
  `onMarkCheckpointBegin` in interface `CheckpointListener`
Throws:
  `IgniteCheckedException` - If failed.

#### beforeCheckpointBegin

    public void beforeCheckpointBegin(CheckpointListener.Context ctx)
                               throws IgniteCheckedException

Do some actions before checkpoint write lock.

Specified by:
  `beforeCheckpointBegin` in interface `CheckpointListener`
Throws:
  `IgniteCheckedException` - If failed.

#### onCheckpointBegin

    public void onCheckpointBegin(CheckpointListener.Context ctx)
                           throws IgniteCheckedException

Specified by:
  `onCheckpointBegin` in interface `CheckpointListener`
Throws:
  `IgniteCheckedException` - If failed.

#### get

    public byte get(long major,
                    long minor)
             throws IgniteCheckedException

Parameters:
  `major` - Major version.
  `minor` - Minor version.
Returns:
  Transaction state for given version.
Throws:
  `IgniteCheckedException` - If failed.

#### get

    public byte get(TxKey key)
             throws IgniteCheckedException

Parameters:
  `key` - Transaction key.
Returns:
  Transaction state for given version.
Throws:
  `IgniteCheckedException` - If failed.

#### put

    public void put(TxKey key,
                    byte state,
                    boolean primary)
             throws IgniteCheckedException

Parameters:
  `key` - TxKey.
  `state` - Transaction state for given version.
  `primary` - Flag if this is a primary node.
Throws:
  `IgniteCheckedException` - If failed.

#### removeUntil

    public void removeUntil(long major,
                            long minor)
                     throws IgniteCheckedException

Removes all records less or equals to the given version.

Parameters:
  `major` - Major version.
  `minor` - Minor version.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021